3

When I try to update elementary OS it gives me this error: software updater error

And in terminal it gives me this one: Terminal error

But if I then use apt-get upgrade, it installs all updates.

Is there a way to fix it?

  • 1
    please copy and paste the error information instead of screen shot =) – Ravan Oct 19 '15 at 14:36
  • please let me know your problem solved or not , If solved don't forget to accept it as answer , by clicking tick mark at left side – Ravan Oct 19 '15 at 14:43
  • my problem is Imposible obtener dl.google.com/linux/chrome/deb/dists/stable/Release No se pudo encontrar la entrada esperada «main/binary-i386/Packages» en el archivo Release (entrada incorrecta en sources.list o archivo mal formado) – user4615 Mar 29 '16 at 5:28
4

Open terminal and run the following commands:

sudo add-apt-repository --remove ppa:versable/elementary-update
sudo apt-get clean
sudo apt-get update

This should solve your problem.


General solution:

Failed to download repository information
Check your Internet connection.


  1. Open terminal and run sudo apt-get update then identify the errors.

    Once identified root cause of this update error, the next step is to remove them from the list of software sources.

    Use software&Updates or /etc/apt/sources.list if you identified PPA.

  2. One line solution:

    Open terminal and run:

    sudo rm -rf /var/lib/apt/lists/* 
    sudo apt-get update
    

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.